Index: /trunk/LMDZ.GENERIC/makefile
===================================================================
--- /trunk/LMDZ.GENERIC/makefile	(revision 252)
+++ /trunk/LMDZ.GENERIC/makefile	(revision 253)
@@ -7,9 +7,9 @@
 # Repertoires :
 
-GCM     = /u/rwlmd/LMDZ.GENERIC
+GCM     = /san/home/rdword/gcm/LMDZ.GENERIC
 MACHINE = sun4
 LIBF    = $(GCM)/libf
 LIBO    = $(LIBOGCM)/$(MACHINE)
-LOCAL_DIR=/d2/rwlmd/earthmars_test/earth/one_d
+LOCAL_DIR=/san/home/rdword/gcm/earlymars/0711/wet/1bar_hiVres
 BIBIO    = $(LIBF)/bibio
 FILTRE   = filtre
@@ -113,7 +113,7 @@
 $(LIBO)/libbibio.a :  $(LIBO)/libbibio.a(mxm.o)
 
+$(LIBO)/libbibio.a :  $(LIBO)/libbibio.a(mxv.o)
+
 $(LIBO)/libbibio.a :  $(LIBO)/libbibio.a(mxva.o)
-
-$(LIBO)/libbibio.a :  $(LIBO)/libbibio.a(mxv.o)
 
 $(LIBO)/libbibio.a :  $(LIBO)/libbibio.a(mywrite.o)
@@ -228,14 +228,14 @@
 	cd $(GCM)
 
+$(LIBO)/libbibio.a(mxv.o) : $(LIBF)/bibio/mxv.F
+	cd $(LOCAL_DIR); \
+	$(COMPILE) $(LIBF)/bibio/mxv.F ; \
+	$(AR) r $(LIBO)/libbibio.a mxv.o ; $(RM) mxv.o ; \
+	cd $(GCM)
+
 $(LIBO)/libbibio.a(mxva.o) : $(LIBF)/bibio/mxva.F
 	cd $(LOCAL_DIR); \
 	$(COMPILE) $(LIBF)/bibio/mxva.F ; \
 	$(AR) r $(LIBO)/libbibio.a mxva.o ; $(RM) mxva.o ; \
-	cd $(GCM)
-
-$(LIBO)/libbibio.a(mxv.o) : $(LIBF)/bibio/mxv.F
-	cd $(LOCAL_DIR); \
-	$(COMPILE) $(LIBF)/bibio/mxv.F ; \
-	$(AR) r $(LIBO)/libbibio.a mxv.o ; $(RM) mxv.o ; \
 	cd $(GCM)
 
@@ -345,8 +345,8 @@
 $(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(addit.o)
 
+$(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(adv_h2o.o)
+
 $(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(advect.o)
 
-$(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(adv_h2o.o)
-
 $(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(amont.o)
 
@@ -355,8 +355,8 @@
 $(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(bernoui.o)
 
+$(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(caldyn.o)
+
 $(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(caldyn0.o)
 
-$(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(caldyn.o)
-
 $(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(calfis.o)
 
@@ -383,16 +383,16 @@
 $(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(diverg.o)
 
+$(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(diverg_gam.o)
+
 $(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(divergf.o)
 
-$(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(diverg_gam.o)
-
 $(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(divergst.o)
 
+$(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(divgrad.o)
+
+$(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(divgrad2.o)
+
 $(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(divgrad22.o)
 
-$(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(divgrad2.o)
-
-$(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(divgrad.o)
-
 $(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(dteta1.o)
 
@@ -429,36 +429,36 @@
 $(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(geopot.o)
 
+$(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(gr_dyn_fi.o)
+
+$(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(gr_fi_dyn.o)
+
+$(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(gr_int_dyn.o)
+
+$(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(gr_u_scal.o)
+
+$(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(gr_v_scal.o)
+
 $(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(grad.o)
 
+$(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(gradiv.o)
+
 $(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(gradiv2.o)
 
-$(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(gradiv.o)
-
-$(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(gr_dyn_fi.o)
-
-$(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(gr_fi_dyn.o)
-
 $(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(grid_atob.o)
 
+$(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(grid_noro.o)
+
 $(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(grid_noro1.o)
 
-$(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(grid_noro.o)
-
-$(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(gr_int_dyn.o)
-
 $(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(groupe.o)
 
 $(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(groupeun.o)
 
-$(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(gr_u_scal.o)
-
-$(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(gr_v_scal.o)
-
 $(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(heavyside.o)
 
+$(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(ini_archive.o)
+
 $(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(iniadvtrac.o)
 
-$(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(ini_archive.o)
-
 $(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(iniav.o)
 
@@ -489,8 +489,8 @@
 $(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(laplacien_rotgam.o)
 
+$(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(lect_start_archive.o)
+
 $(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(lectflux.o)
 
-$(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(lect_start_archive.o)
-
 $(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(massbar.o)
 
@@ -525,15 +525,15 @@
 $(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(rotat.o)
 
+$(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(rotat_nfil.o)
+
 $(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(rotatf.o)
 
-$(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(rotat_nfil.o)
-
 $(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(rotatst.o)
 
 $(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(scal_wind.o)
 
+$(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(sortvarc.o)
+
 $(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(sortvarc0.o)
-
-$(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(sortvarc.o)
 
 $(LIBO)/libdyn3d.a :  $(LIBO)/libdyn3d.a(spline.o)
@@ -594,4 +594,14 @@
 	cd $(GCM)
 
+$(LIBO)/libdyn3d.a(adv_h2o.o) : $(LIBF)/dyn3d/adv_h2o.F \
+$(LIBF)/grid/dimensions.h \
+$(LIBF)/dyn3d/paramet.h \
+$(LIBF)/dyn3d/logic.h \
+$(LIBF)/dyn3d/comvert.h
+	cd $(LOCAL_DIR); \
+	$(COMPILE) $(LIBF)/dyn3d/adv_h2o.F ; \
+	$(AR) r $(LIBO)/libdyn3d.a adv_h2o.o ; $(RM) adv_h2o.o ; \
+	cd $(GCM)
+
 $(LIBO)/libdyn3d.a(advect.o) : $(LIBF)/dyn3d/advect.F \
 $(LIBF)/grid/dimensions.h \
@@ -607,5 +617,5 @@
 	cd $(GCM)
 
-$(LIBO)/libdyn3d.a(adv_h2o.o) : $(LIBF)/dyn3d/adv_h2o.F \
+$(LIBO)/libdyn3d.a(amont.o) : $(LIBF)/dyn3d/amont.F \
 $(LIBF)/grid/dimensions.h \
 $(LIBF)/dyn3d/paramet.h \
@@ -613,14 +623,4 @@
 $(LIBF)/dyn3d/comvert.h
 	cd $(LOCAL_DIR); \
-	$(COMPILE) $(LIBF)/dyn3d/adv_h2o.F ; \
-	$(AR) r $(LIBO)/libdyn3d.a adv_h2o.o ; $(RM) adv_h2o.o ; \
-	cd $(GCM)
-
-$(LIBO)/libdyn3d.a(amont.o) : $(LIBF)/dyn3d/amont.F \
-$(LIBF)/grid/dimensions.h \
-$(LIBF)/dyn3d/paramet.h \
-$(LIBF)/dyn3d/logic.h \
-$(LIBF)/dyn3d/comvert.h
-	cd $(LOCAL_DIR); \
 	$(COMPILE) $(LIBF)/dyn3d/amont.F ; \
 	$(AR) r $(LIBO)/libdyn3d.a amont.o ; $(RM) amont.o ; \
@@ -649,4 +649,15 @@
 	cd $(GCM)
 
+$(LIBO)/libdyn3d.a(caldyn.o) : $(LIBF)/dyn3d/caldyn.F \
+$(LIBF)/grid/dimensions.h \
+$(LIBF)/dyn3d/paramet.h \
+$(LIBF)/dyn3d/comconst.h \
+$(LIBF)/dyn3d/comvert.h \
+$(LIBF)/dyn3d/comgeom.h
+	cd $(LOCAL_DIR); \
+	$(COMPILE) $(LIBF)/dyn3d/caldyn.F ; \
+	$(AR) r $(LIBO)/libdyn3d.a caldyn.o ; $(RM) caldyn.o ; \
+	cd $(GCM)
+
 $(LIBO)/libdyn3d.a(caldyn0.o) : $(LIBF)/dyn3d/caldyn0.F \
 $(LIBF)/grid/dimensions.h \
@@ -658,15 +669,4 @@
 	$(COMPILE) $(LIBF)/dyn3d/caldyn0.F ; \
 	$(AR) r $(LIBO)/libdyn3d.a caldyn0.o ; $(RM) caldyn0.o ; \
-	cd $(GCM)
-
-$(LIBO)/libdyn3d.a(caldyn.o) : $(LIBF)/dyn3d/caldyn.F \
-$(LIBF)/grid/dimensions.h \
-$(LIBF)/dyn3d/paramet.h \
-$(LIBF)/dyn3d/comconst.h \
-$(LIBF)/dyn3d/comvert.h \
-$(LIBF)/dyn3d/comgeom.h
-	cd $(LOCAL_DIR); \
-	$(COMPILE) $(LIBF)/dyn3d/caldyn.F ; \
-	$(AR) r $(LIBO)/libdyn3d.a caldyn.o ; $(RM) caldyn.o ; \
 	cd $(GCM)
 
@@ -778,7 +778,9 @@
 $(LIBF)/dyn3d/comvert.h \
 $(LIBF)/dyn3d/comconst.h \
-$(LIBF)/dyn3d/logic.h
-	cd $(LOCAL_DIR); \
-	$(COMPILE) $(LIBF)/dyn3d/disvert.F ; \
+$(LIBF)/dyn3d/logic.h \
+$(LIBF)/phystd/callkeys.h \
+$(LIBO)/libbibio.a(ioipsl_getincom.o)
+	cd $(LOCAL_DIR); \
+	$(COMPILE90) $(LIBF)/dyn3d/disvert.F ; \
 	$(AR) r $(LIBO)/libdyn3d.a disvert.o ; $(RM) disvert.o ; \
 	cd $(GCM)
@@ -793,4 +795,13 @@
 	cd $(GCM)
 
+$(LIBO)/libdyn3d.a(diverg_gam.o) : $(LIBF)/dyn3d/diverg_gam.F \
+$(LIBF)/grid/dimensions.h \
+$(LIBF)/dyn3d/paramet.h \
+$(LIBF)/dyn3d/comgeom.h
+	cd $(LOCAL_DIR); \
+	$(COMPILE) $(LIBF)/dyn3d/diverg_gam.F ; \
+	$(AR) r $(LIBO)/libdyn3d.a diverg_gam.o ; $(RM) diverg_gam.o ; \
+	cd $(GCM)
+
 $(LIBO)/libdyn3d.a(divergf.o) : $(LIBF)/dyn3d/divergf.F \
 $(LIBF)/grid/dimensions.h \
@@ -802,13 +813,4 @@
 	cd $(GCM)
 
-$(LIBO)/libdyn3d.a(diverg_gam.o) : $(LIBF)/dyn3d/diverg_gam.F \
-$(LIBF)/grid/dimensions.h \
-$(LIBF)/dyn3d/paramet.h \
-$(LIBF)/dyn3d/comgeom.h
-	cd $(LOCAL_DIR); \
-	$(COMPILE) $(LIBF)/dyn3d/diverg_gam.F ; \
-	$(AR) r $(LIBO)/libdyn3d.a diverg_gam.o ; $(RM) diverg_gam.o ; \
-	cd $(GCM)
-
 $(LIBO)/libdyn3d.a(divergst.o) : $(LIBF)/dyn3d/divergst.F \
 $(LIBF)/grid/dimensions.h \
@@ -818,23 +820,4 @@
 	$(COMPILE) $(LIBF)/dyn3d/divergst.F ; \
 	$(AR) r $(LIBO)/libdyn3d.a divergst.o ; $(RM) divergst.o ; \
-	cd $(GCM)
-
-$(LIBO)/libdyn3d.a(divgrad22.o) : $(LIBF)/dyn3d/divgrad22.F \
-$(LIBF)/grid/dimensions.h \
-$(LIBF)/dyn3d/paramet.h \
-$(LIBF)/dyn3d/comdissipn.h
-	cd $(LOCAL_DIR); \
-	$(COMPILE) $(LIBF)/dyn3d/divgrad22.F ; \
-	$(AR) r $(LIBO)/libdyn3d.a divgrad22.o ; $(RM) divgrad22.o ; \
-	cd $(GCM)
-
-$(LIBO)/libdyn3d.a(divgrad2.o) : $(LIBF)/dyn3d/divgrad2.F \
-$(LIBF)/grid/dimensions.h \
-$(LIBF)/dyn3d/paramet.h \
-$(LIBF)/dyn3d/comgeom2.h \
-$(LIBF)/dyn3d/comdissipn.h
-	cd $(LOCAL_DIR); \
-	$(COMPILE) $(LIBF)/dyn3d/divgrad2.F ; \
-	$(AR) r $(LIBO)/libdyn3d.a divgrad2.o ; $(RM) divgrad2.o ; \
 	cd $(GCM)
 
@@ -848,4 +831,23 @@
 	$(COMPILE) $(LIBF)/dyn3d/divgrad.F ; \
 	$(AR) r $(LIBO)/libdyn3d.a divgrad.o ; $(RM) divgrad.o ; \
+	cd $(GCM)
+
+$(LIBO)/libdyn3d.a(divgrad2.o) : $(LIBF)/dyn3d/divgrad2.F \
+$(LIBF)/grid/dimensions.h \
+$(LIBF)/dyn3d/paramet.h \
+$(LIBF)/dyn3d/comgeom2.h \
+$(LIBF)/dyn3d/comdissipn.h
+	cd $(LOCAL_DIR); \
+	$(COMPILE) $(LIBF)/dyn3d/divgrad2.F ; \
+	$(AR) r $(LIBO)/libdyn3d.a divgrad2.o ; $(RM) divgrad2.o ; \
+	cd $(GCM)
+
+$(LIBO)/libdyn3d.a(divgrad22.o) : $(LIBF)/dyn3d/divgrad22.F \
+$(LIBF)/grid/dimensions.h \
+$(LIBF)/dyn3d/paramet.h \
+$(LIBF)/dyn3d/comdissipn.h
+	cd $(LOCAL_DIR); \
+	$(COMPILE) $(LIBF)/dyn3d/divgrad22.F ; \
+	$(AR) r $(LIBO)/libdyn3d.a divgrad22.o ; $(RM) divgrad22.o ; \
 	cd $(GCM)
 
@@ -1025,4 +1027,40 @@
 	cd $(GCM)
 
+$(LIBO)/libdyn3d.a(gr_dyn_fi.o) : $(LIBF)/dyn3d/gr_dyn_fi.F
+	cd $(LOCAL_DIR); \
+	$(COMPILE) $(LIBF)/dyn3d/gr_dyn_fi.F ; \
+	$(AR) r $(LIBO)/libdyn3d.a gr_dyn_fi.o ; $(RM) gr_dyn_fi.o ; \
+	cd $(GCM)
+
+$(LIBO)/libdyn3d.a(gr_fi_dyn.o) : $(LIBF)/dyn3d/gr_fi_dyn.F
+	cd $(LOCAL_DIR); \
+	$(COMPILE) $(LIBF)/dyn3d/gr_fi_dyn.F ; \
+	$(AR) r $(LIBO)/libdyn3d.a gr_fi_dyn.o ; $(RM) gr_fi_dyn.o ; \
+	cd $(GCM)
+
+$(LIBO)/libdyn3d.a(gr_int_dyn.o) : $(LIBF)/dyn3d/gr_int_dyn.F
+	cd $(LOCAL_DIR); \
+	$(COMPILE) $(LIBF)/dyn3d/gr_int_dyn.F ; \
+	$(AR) r $(LIBO)/libdyn3d.a gr_int_dyn.o ; $(RM) gr_int_dyn.o ; \
+	cd $(GCM)
+
+$(LIBO)/libdyn3d.a(gr_u_scal.o) : $(LIBF)/dyn3d/gr_u_scal.F \
+$(LIBF)/grid/dimensions.h \
+$(LIBF)/dyn3d/paramet.h \
+$(LIBF)/dyn3d/comgeom.h
+	cd $(LOCAL_DIR); \
+	$(COMPILE) $(LIBF)/dyn3d/gr_u_scal.F ; \
+	$(AR) r $(LIBO)/libdyn3d.a gr_u_scal.o ; $(RM) gr_u_scal.o ; \
+	cd $(GCM)
+
+$(LIBO)/libdyn3d.a(gr_v_scal.o) : $(LIBF)/dyn3d/gr_v_scal.F \
+$(LIBF)/grid/dimensions.h \
+$(LIBF)/dyn3d/paramet.h \
+$(LIBF)/dyn3d/comgeom.h
+	cd $(LOCAL_DIR); \
+	$(COMPILE) $(LIBF)/dyn3d/gr_v_scal.F ; \
+	$(AR) r $(LIBO)/libdyn3d.a gr_v_scal.o ; $(RM) gr_v_scal.o ; \
+	cd $(GCM)
+
 $(LIBO)/libdyn3d.a(grad.o) : $(LIBF)/dyn3d/grad.F \
 $(LIBF)/grid/dimensions.h \
@@ -1033,4 +1071,14 @@
 	cd $(GCM)
 
+$(LIBO)/libdyn3d.a(gradiv.o) : $(LIBF)/dyn3d/gradiv.F \
+$(LIBF)/grid/dimensions.h \
+$(LIBF)/dyn3d/paramet.h \
+$(LIBF)/dyn3d/comdissipn.h \
+$(LIBF)/dyn3d/logic.h
+	cd $(LOCAL_DIR); \
+	$(COMPILE) $(LIBF)/dyn3d/gradiv.F ; \
+	$(AR) r $(LIBO)/libdyn3d.a gradiv.o ; $(RM) gradiv.o ; \
+	cd $(GCM)
+
 $(LIBO)/libdyn3d.a(gradiv2.o) : $(LIBF)/dyn3d/gradiv2.F \
 $(LIBF)/grid/dimensions.h \
@@ -1043,26 +1091,4 @@
 	cd $(GCM)
 
-$(LIBO)/libdyn3d.a(gradiv.o) : $(LIBF)/dyn3d/gradiv.F \
-$(LIBF)/grid/dimensions.h \
-$(LIBF)/dyn3d/paramet.h \
-$(LIBF)/dyn3d/comdissipn.h \
-$(LIBF)/dyn3d/logic.h
-	cd $(LOCAL_DIR); \
-	$(COMPILE) $(LIBF)/dyn3d/gradiv.F ; \
-	$(AR) r $(LIBO)/libdyn3d.a gradiv.o ; $(RM) gradiv.o ; \
-	cd $(GCM)
-
-$(LIBO)/libdyn3d.a(gr_dyn_fi.o) : $(LIBF)/dyn3d/gr_dyn_fi.F
-	cd $(LOCAL_DIR); \
-	$(COMPILE) $(LIBF)/dyn3d/gr_dyn_fi.F ; \
-	$(AR) r $(LIBO)/libdyn3d.a gr_dyn_fi.o ; $(RM) gr_dyn_fi.o ; \
-	cd $(GCM)
-
-$(LIBO)/libdyn3d.a(gr_fi_dyn.o) : $(LIBF)/dyn3d/gr_fi_dyn.F
-	cd $(LOCAL_DIR); \
-	$(COMPILE) $(LIBF)/dyn3d/gr_fi_dyn.F ; \
-	$(AR) r $(LIBO)/libdyn3d.a gr_fi_dyn.o ; $(RM) gr_fi_dyn.o ; \
-	cd $(GCM)
-
 $(LIBO)/libdyn3d.a(grid_atob.o) : $(LIBF)/dyn3d/grid_atob.F
 	cd $(LOCAL_DIR); \
@@ -1071,4 +1097,11 @@
 	cd $(GCM)
 
+$(LIBO)/libdyn3d.a(grid_noro.o) : $(LIBF)/dyn3d/grid_noro.F \
+$(LIBF)/grid/dimensions.h
+	cd $(LOCAL_DIR); \
+	$(COMPILE) $(LIBF)/dyn3d/grid_noro.F ; \
+	$(AR) r $(LIBO)/libdyn3d.a grid_noro.o ; $(RM) grid_noro.o ; \
+	cd $(GCM)
+
 $(LIBO)/libdyn3d.a(grid_noro1.o) : $(LIBF)/dyn3d/grid_noro1.F \
 $(LIBF)/grid/dimensions.h \
@@ -1079,17 +1112,4 @@
 	cd $(GCM)
 
-$(LIBO)/libdyn3d.a(grid_noro.o) : $(LIBF)/dyn3d/grid_noro.F \
-$(LIBF)/grid/dimensions.h
-	cd $(LOCAL_DIR); \
-	$(COMPILE) $(LIBF)/dyn3d/grid_noro.F ; \
-	$(AR) r $(LIBO)/libdyn3d.a grid_noro.o ; $(RM) grid_noro.o ; \
-	cd $(GCM)
-
-$(LIBO)/libdyn3d.a(gr_int_dyn.o) : $(LIBF)/dyn3d/gr_int_dyn.F
-	cd $(LOCAL_DIR); \
-	$(COMPILE) $(LIBF)/dyn3d/gr_int_dyn.F ; \
-	$(AR) r $(LIBO)/libdyn3d.a gr_int_dyn.o ; $(RM) gr_int_dyn.o ; \
-	cd $(GCM)
-
 $(LIBO)/libdyn3d.a(groupe.o) : $(LIBF)/dyn3d/groupe.F \
 $(LIBF)/grid/dimensions.h \
@@ -1113,35 +1133,8 @@
 	cd $(GCM)
 
-$(LIBO)/libdyn3d.a(gr_u_scal.o) : $(LIBF)/dyn3d/gr_u_scal.F \
-$(LIBF)/grid/dimensions.h \
-$(LIBF)/dyn3d/paramet.h \
-$(LIBF)/dyn3d/comgeom.h
-	cd $(LOCAL_DIR); \
-	$(COMPILE) $(LIBF)/dyn3d/gr_u_scal.F ; \
-	$(AR) r $(LIBO)/libdyn3d.a gr_u_scal.o ; $(RM) gr_u_scal.o ; \
-	cd $(GCM)
-
-$(LIBO)/libdyn3d.a(gr_v_scal.o) : $(LIBF)/dyn3d/gr_v_scal.F \
-$(LIBF)/grid/dimensions.h \
-$(LIBF)/dyn3d/paramet.h \
-$(LIBF)/dyn3d/comgeom.h
-	cd $(LOCAL_DIR); \
-	$(COMPILE) $(LIBF)/dyn3d/gr_v_scal.F ; \
-	$(AR) r $(LIBO)/libdyn3d.a gr_v_scal.o ; $(RM) gr_v_scal.o ; \
-	cd $(GCM)
-
 $(LIBO)/libdyn3d.a(heavyside.o) : $(LIBF)/dyn3d/heavyside.F
 	cd $(LOCAL_DIR); \
 	$(COMPILE) $(LIBF)/dyn3d/heavyside.F ; \
 	$(AR) r $(LIBO)/libdyn3d.a heavyside.o ; $(RM) heavyside.o ; \
-	cd $(GCM)
-
-$(LIBO)/libdyn3d.a(iniadvtrac.o) : $(LIBF)/dyn3d/iniadvtrac.F \
-$(LIBF)/grid/dimensions.h \
-$(LIBF)/dyn3d/advtrac.h \
-$(LIBF)/dyn3d/control.h
-	cd $(LOCAL_DIR); \
-	$(COMPILE) $(LIBF)/dyn3d/iniadvtrac.F ; \
-	$(AR) r $(LIBO)/libdyn3d.a iniadvtrac.o ; $(RM) iniadvtrac.o ; \
 	cd $(GCM)
 
@@ -1165,4 +1158,13 @@
 	cd $(GCM)
 
+$(LIBO)/libdyn3d.a(iniadvtrac.o) : $(LIBF)/dyn3d/iniadvtrac.F \
+$(LIBF)/grid/dimensions.h \
+$(LIBF)/dyn3d/advtrac.h \
+$(LIBF)/dyn3d/control.h
+	cd $(LOCAL_DIR); \
+	$(COMPILE) $(LIBF)/dyn3d/iniadvtrac.F ; \
+	$(AR) r $(LIBO)/libdyn3d.a iniadvtrac.o ; $(RM) iniadvtrac.o ; \
+	cd $(GCM)
+
 $(LIBO)/libdyn3d.a(iniav.o) : $(LIBF)/dyn3d/iniav.F \
 $(LIBF)/grid/dimensions.h \
@@ -1292,16 +1294,4 @@
 	$(COMPILE) $(LIBF)/dyn3d/laplacien_rotgam.F ; \
 	$(AR) r $(LIBO)/libdyn3d.a laplacien_rotgam.o ; $(RM) laplacien_rotgam.o ; \
-	cd $(GCM)
-
-$(LIBO)/libdyn3d.a(lectflux.o) : $(LIBF)/dyn3d/lectflux.F \
-$(LIBF)/grid/dimensions.h \
-$(LIBF)/dyn3d/paramet.h \
-$(LIBF)/dyn3d/comvert.h \
-$(LIBF)/dyn3d/comconst.h \
-$(LIBF)/dyn3d/comgeom2.h \
-$(LIBF)/dyn3d/tracstoke.h
-	cd $(LOCAL_DIR); \
-	$(COMPILE) $(LIBF)/dyn3d/lectflux.F ; \
-	$(AR) r $(LIBO)/libdyn3d.a lectflux.o ; $(RM) lectflux.o ; \
 	cd $(GCM)
 
@@ -1329,4 +1319,16 @@
 	cd $(GCM)
 
+$(LIBO)/libdyn3d.a(lectflux.o) : $(LIBF)/dyn3d/lectflux.F \
+$(LIBF)/grid/dimensions.h \
+$(LIBF)/dyn3d/paramet.h \
+$(LIBF)/dyn3d/comvert.h \
+$(LIBF)/dyn3d/comconst.h \
+$(LIBF)/dyn3d/comgeom2.h \
+$(LIBF)/dyn3d/tracstoke.h
+	cd $(LOCAL_DIR); \
+	$(COMPILE) $(LIBF)/dyn3d/lectflux.F ; \
+	$(AR) r $(LIBO)/libdyn3d.a lectflux.o ; $(RM) lectflux.o ; \
+	cd $(GCM)
+
 $(LIBO)/libdyn3d.a(massbar.o) : $(LIBF)/dyn3d/massbar.F \
 $(LIBF)/grid/dimensions.h \
@@ -1469,4 +1471,13 @@
 	cd $(GCM)
 
+$(LIBO)/libdyn3d.a(rotat_nfil.o) : $(LIBF)/dyn3d/rotat_nfil.F \
+$(LIBF)/grid/dimensions.h \
+$(LIBF)/dyn3d/paramet.h \
+$(LIBF)/dyn3d/comgeom.h
+	cd $(LOCAL_DIR); \
+	$(COMPILE) $(LIBF)/dyn3d/rotat_nfil.F ; \
+	$(AR) r $(LIBO)/libdyn3d.a rotat_nfil.o ; $(RM) rotat_nfil.o ; \
+	cd $(GCM)
+
 $(LIBO)/libdyn3d.a(rotatf.o) : $(LIBF)/dyn3d/rotatf.F \
 $(LIBF)/grid/dimensions.h \
@@ -1478,13 +1489,4 @@
 	cd $(GCM)
 
-$(LIBO)/libdyn3d.a(rotat_nfil.o) : $(LIBF)/dyn3d/rotat_nfil.F \
-$(LIBF)/grid/dimensions.h \
-$(LIBF)/dyn3d/paramet.h \
-$(LIBF)/dyn3d/comgeom.h
-	cd $(LOCAL_DIR); \
-	$(COMPILE) $(LIBF)/dyn3d/rotat_nfil.F ; \
-	$(AR) r $(LIBO)/libdyn3d.a rotat_nfil.o ; $(RM) rotat_nfil.o ; \
-	cd $(GCM)
-
 $(LIBO)/libdyn3d.a(rotatst.o) : $(LIBF)/dyn3d/rotatst.F \
 $(LIBF)/grid/dimensions.h \
@@ -1504,5 +1506,5 @@
 	cd $(GCM)
 
-$(LIBO)/libdyn3d.a(sortvarc0.o) : $(LIBF)/dyn3d/sortvarc0.F \
+$(LIBO)/libdyn3d.a(sortvarc.o) : $(LIBF)/dyn3d/sortvarc.F \
 $(LIBF)/grid/dimensions.h \
 $(LIBF)/dyn3d/paramet.h \
@@ -1514,9 +1516,9 @@
 $(LIBF)/dyn3d/temps.h
 	cd $(LOCAL_DIR); \
-	$(COMPILE) $(LIBF)/dyn3d/sortvarc0.F ; \
-	$(AR) r $(LIBO)/libdyn3d.a sortvarc0.o ; $(RM) sortvarc0.o ; \
-	cd $(GCM)
-
-$(LIBO)/libdyn3d.a(sortvarc.o) : $(LIBF)/dyn3d/sortvarc.F \
+	$(COMPILE) $(LIBF)/dyn3d/sortvarc.F ; \
+	$(AR) r $(LIBO)/libdyn3d.a sortvarc.o ; $(RM) sortvarc.o ; \
+	cd $(GCM)
+
+$(LIBO)/libdyn3d.a(sortvarc0.o) : $(LIBF)/dyn3d/sortvarc0.F \
 $(LIBF)/grid/dimensions.h \
 $(LIBF)/dyn3d/paramet.h \
@@ -1528,6 +1530,6 @@
 $(LIBF)/dyn3d/temps.h
 	cd $(LOCAL_DIR); \
-	$(COMPILE) $(LIBF)/dyn3d/sortvarc.F ; \
-	$(AR) r $(LIBO)/libdyn3d.a sortvarc.o ; $(RM) sortvarc.o ; \
+	$(COMPILE) $(LIBF)/dyn3d/sortvarc0.F ; \
+	$(AR) r $(LIBO)/libdyn3d.a sortvarc0.o ; $(RM) sortvarc0.o ; \
 	cd $(GCM)
 
@@ -1793,130 +1795,146 @@
 $(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(blackl.o)
 
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(callsedim.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(convadj.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(cpdet.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(cvmgp.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(cvmgt.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(datareadnc.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(dsolver.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(dtridgl.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(evap.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(forceWCfn.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(gfluxi.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(gfluxv.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(inifis.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(iniorbit.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(inistats.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(initracer.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(iniwrite.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(iniwrite_spec.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(interp_line.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(ismax.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(ismin.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(lagrange.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(largescale.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(mucorr.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(mufract.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(multipl.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(newsedim.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(orbite.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(phyetat0.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(physdem1.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(profile.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(rcm1d.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(scopyi.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(sfluxi.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(sfluxv.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(soil.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(soil_settings.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(stelang.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(stellarlong.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(surface_nature.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(surfini.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(tabfi.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(tpindex.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(vdif_cd.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(vdif_kc.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(vdifc.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(vlz_fi.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(writediagfi.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(writediagspec.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(writeg1d.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(zerophys.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(N2broadprof_fn.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(aeropacity.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(aeroptproperties.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(ave_stelspec.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(calc_cpp3d.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(calc_cpp_mugaz.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(calc_rayleigh.o)
+
 $(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(callcorrk.o)
 
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(callsedim.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(co2snow.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(convadj.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(cvmgp.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(cvmgt.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(datareadnc.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(dsolver.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(dtridgl.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(gfluxi.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(gfluxv.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(inifis.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(iniorbit.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(inistats.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(initracer.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(iniwrite.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(iniwrite_spec.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(interp_line.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(ismax.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(ismin.o)
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(condens_co2cloud.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(def_var.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(hydrol.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(iniwritesoil.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(interpolateH2H2.o)
 
 $(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(kastprof_fn.o)
 
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(lagrange.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(largescale2.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(mucorr.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(mufract.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(multipl.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(newsedim.o)
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(mkstat.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(moistadj.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(newtrelax.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(optci.o)
 
 $(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(optcv.o)
 
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(orbite.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(phyetat0.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(physdem1.o)
-
 $(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(physiq.o)
 
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(profile.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(scopyi.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(sfluxi.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(sfluxv.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(soil.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(soil_settings.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(solang.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(solarlong.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(surfini.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(tabfi.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(tpindex.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(vdif_cd.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(vdifc.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(vdif_kc.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(vlz_fi.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(writediagfi.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(writediagspec.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(writeg1d.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(zerophys.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(aeropacity.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(aeroptproperties.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(aeroptpropertiesJBnew.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(ave_stelspec.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(calc_cpp3d.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(calc_rayleigh.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(condens_co2cloud.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(def_var.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(iniwritesoil.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(mkstat.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(moistadj.o)
-
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(optci.o)
-
 $(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(radcommon_h.o)
 
@@ -1929,15 +1947,21 @@
 $(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(setspv.o)
 
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(simpleprof_fn.o)
+
 $(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(stokes.o)
 
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(su_gases.o)
+
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(su_watercycle.o)
+
 $(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(suaer_corrk.o)
 
 $(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(sugas_corrk.o)
 
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(su_watercycle.o)
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(totalcloudfrac.o)
 
 $(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(watercommon_h.o)
 
-$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(watersat_2.o)
+$(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(watersat.o)
 
 $(LIBO)/libphystd.a :  $(LIBO)/libphystd.a(watersat_grad.o)
@@ -1970,18 +1994,4 @@
 	cd $(GCM)
 
-$(LIBO)/libphystd.a(callcorrk.o) : $(LIBF)/phystd/callcorrk.F \
-$(LIBF)/phystd/dimphys.h \
-$(LIBF)/phystd/datafile.h \
-$(LIBF)/phystd/comcstfi.h \
-$(LIBF)/phystd/callkeys.h \
-$(LIBF)/phystd/tracer.h \
-$(LIBO)/libphystd.a(radinc_h.o) \
-$(LIBO)/libphystd.a(radcommon_h.o) \
-$(LIBO)/libbibio.a(ioipsl_getincom.o)
-	cd $(LOCAL_DIR); \
-	$(COMPILE90) $(LIBF)/phystd/callcorrk.F ; \
-	$(AR) r $(LIBO)/libphystd.a callcorrk.o ; $(RM) callcorrk.o ; \
-	cd $(GCM)
-
 $(LIBO)/libphystd.a(callsedim.o) : $(LIBF)/phystd/callsedim.F \
 $(LIBF)/grid/dimensions.h \
@@ -1996,15 +2006,4 @@
 	cd $(GCM)
 
-$(LIBO)/libphystd.a(co2snow.o) : $(LIBF)/phystd/co2snow.F \
-$(LIBF)/grid/dimensions.h \
-$(LIBF)/phystd/dimphys.h \
-$(LIBF)/phystd/comcstfi.h \
-$(LIBF)/phystd/surfdat.h \
-$(LIBF)/phystd/callkeys.h
-	cd $(LOCAL_DIR); \
-	$(COMPILE) $(LIBF)/phystd/co2snow.F ; \
-	$(AR) r $(LIBO)/libphystd.a co2snow.o ; $(RM) co2snow.o ; \
-	cd $(GCM)
-
 $(LIBO)/libphystd.a(convadj.o) : $(LIBF)/phystd/convadj.F \
 $(LIBF)/grid/dimensions.h \
@@ -2016,4 +2015,14 @@
 	$(COMPILE) $(LIBF)/phystd/convadj.F ; \
 	$(AR) r $(LIBO)/libphystd.a convadj.o ; $(RM) convadj.o ; \
+	cd $(GCM)
+
+$(LIBO)/libphystd.a(cpdet.o) : $(LIBF)/phystd/cpdet.F \
+$(LIBF)/phystd/cpdet.h \
+$(LIBF)/phystd/cpdet.h \
+$(LIBF)/phystd/cpdet.h \
+$(LIBF)/phystd/cpdet.h
+	cd $(LOCAL_DIR); \
+	$(COMPILE) $(LIBF)/phystd/cpdet.F ; \
+	$(AR) r $(LIBO)/libphystd.a cpdet.o ; $(RM) cpdet.o ; \
 	cd $(GCM)
 
@@ -2055,4 +2064,25 @@
 	cd $(GCM)
 
+$(LIBO)/libphystd.a(evap.o) : $(LIBF)/phystd/evap.F \
+$(LIBF)/grid/dimensions.h \
+$(LIBF)/phystd/dimphys.h \
+$(LIBF)/phystd/tracer.h \
+$(LIBF)/phystd/comcstfi.h \
+$(LIBO)/libphystd.a(watercommon_h.o)
+	cd $(LOCAL_DIR); \
+	$(COMPILE90) $(LIBF)/phystd/evap.F ; \
+	$(AR) r $(LIBO)/libphystd.a evap.o ; $(RM) evap.o ; \
+	cd $(GCM)
+
+$(LIBO)/libphystd.a(forceWCfn.o) : $(LIBF)/phystd/forceWCfn.F \
+$(LIBF)/grid/dimensions.h \
+$(LIBF)/phystd/dimphys.h \
+$(LIBF)/phystd/comcstfi.h \
+$(LIBF)/phystd/tracer.h
+	cd $(LOCAL_DIR); \
+	$(COMPILE) $(LIBF)/phystd/forceWCfn.F ; \
+	$(AR) r $(LIBO)/libphystd.a forceWCfn.o ; $(RM) forceWCfn.o ; \
+	cd $(GCM)
+
 $(LIBO)/libphystd.a(gfluxi.o) : $(LIBF)/phystd/gfluxi.F \
 $(LIBF)/phystd/comcstfi.h \
@@ -2081,4 +2111,5 @@
 $(LIBF)/phystd/callkeys.h \
 $(LIBF)/phystd/surfdat.h \
+$(LIBO)/libphystd.a(radinc_h.o) \
 $(LIBO)/libbibio.a(ioipsl_getincom.o)
 	cd $(LOCAL_DIR); \
@@ -2178,13 +2209,4 @@
 	cd $(GCM)
 
-$(LIBO)/libphystd.a(kastprof_fn.o) : $(LIBF)/phystd/kastprof_fn.F \
-$(LIBF)/grid/dimensions.h \
-$(LIBF)/phystd/dimphys.h \
-$(LIBF)/phystd/comcstfi.h
-	cd $(LOCAL_DIR); \
-	$(COMPILE) $(LIBF)/phystd/kastprof_fn.F ; \
-	$(AR) r $(LIBO)/libphystd.a kastprof_fn.o ; $(RM) kastprof_fn.o ; \
-	cd $(GCM)
-
 $(LIBO)/libphystd.a(lagrange.o) : $(LIBF)/phystd/lagrange.F
 	cd $(LOCAL_DIR); \
@@ -2193,5 +2215,5 @@
 	cd $(GCM)
 
-$(LIBO)/libphystd.a(largescale2.o) : $(LIBF)/phystd/largescale2.F \
+$(LIBO)/libphystd.a(largescale.o) : $(LIBF)/phystd/largescale.F \
 $(LIBF)/grid/dimensions.h \
 $(LIBF)/phystd/dimphys.h \
@@ -2202,6 +2224,6 @@
 $(LIBO)/libphystd.a(watercommon_h.o)
 	cd $(LOCAL_DIR); \
-	$(COMPILE90) $(LIBF)/phystd/largescale2.F ; \
-	$(AR) r $(LIBO)/libphystd.a largescale2.o ; $(RM) largescale2.o ; \
+	$(COMPILE90) $(LIBF)/phystd/largescale.F ; \
+	$(AR) r $(LIBO)/libphystd.a largescale.o ; $(RM) largescale.o ; \
 	cd $(GCM)
 
@@ -2231,13 +2253,4 @@
 	$(COMPILE) $(LIBF)/phystd/newsedim.F ; \
 	$(AR) r $(LIBO)/libphystd.a newsedim.o ; $(RM) newsedim.o ; \
-	cd $(GCM)
-
-$(LIBO)/libphystd.a(optcv.o) : $(LIBF)/phystd/optcv.F \
-$(LIBF)/phystd/comcstfi.h \
-$(LIBO)/libphystd.a(radinc_h.o) \
-$(LIBO)/libphystd.a(radcommon_h.o)
-	cd $(LOCAL_DIR); \
-	$(COMPILE90) $(LIBF)/phystd/optcv.F ; \
-	$(AR) r $(LIBO)/libphystd.a optcv.o ; $(RM) optcv.o ; \
 	cd $(GCM)
 
